CacheFileStats (Oracle - Berkeley DB Java API)
Date: 2015-06-18

com.sleepycat.db

## Class CacheFileStats

- java.lang.Object
- - com.sleepycat.db.CacheFileStats

-     public class CacheFileStats
      extends java.lang.Object

  Statistics for a file in the cache.

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `long` | `getBackupSpins()` Spins while trying to back up the file.
    `long` | `getCacheHit()` Requested pages found in the cache.
    `long` | `getCacheMiss()` Requested pages not found in the cache.
    `java.lang.String` | `getFileName()` The name of the file.
    `int` | `getMap()` Requested pages mapped into the process' address space.
    `long` | `getPageCreate()` Pages created in the cache.
    `long` | `getPageIn()` Pages read into the cache.
    `long` | `getPageOut()` Pages written from the cache to the backing file.
    `int` | `getPageSize()` Page size in bytes.
    `java.lang.String` | `toString()` For convenience, the CacheFileStats class has a toString method that lists all the data fields.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Method Detail

    - #### getPageSize

          public int getPageSize()

      Page size in bytes.

    - #### getMap

          public int getMap()

      Requested pages mapped into the process' address space.

    - #### getCacheHit

          public long getCacheHit()

      Requested pages found in the cache.

    - #### getCacheMiss

          public long getCacheMiss()

      Requested pages not found in the cache.

    - #### getPageCreate

          public long getPageCreate()

      Pages created in the cache.

    - #### getPageIn

          public long getPageIn()

      Pages read into the cache.

    - #### getPageOut

          public long getPageOut()

      Pages written from the cache to the backing file.

    - #### getBackupSpins

          public long getBackupSpins()

      Spins while trying to back up the file.

    - #### getFileName

          public java.lang.String getFileName()

      The name of the file.

    - #### toString

          public java.lang.String toString()

      For convenience, the CacheFileStats class has a toString method that lists all the data fields.
      Overrides:
        `toString` in class `java.lang.Object`

Copyright (c) 1996, 2015 Oracle and/or its affiliates. All rights reserved.